<template lang="pug">
	#plantillas
		.encabezado
			NuxtLink.logo(to="/plantillas")
				img(src="https://remaxdesignperu.com/img/logo.png", width="180")
		.contenedor
			h5 Plantillas Actuales
			.lista
				.item(v-for="item in lista", :key="item.nombre")
					NuxtLink(:to="'/usuario/' + item.id")
						img(:src="item.previo")
					//- nuxtLink(:to="'/creator/' + item.id") Editar

</template>

<script>

import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	data: () =>({
		lista: [],
	}),
	async mounted(){

		const datos = await this.$axios.$get("https://remaxdesignperu.com/system/patrones/listar")
		this.lista = datos.lista

			// .then(function (response) {
			// 	console.log(response.lista)
			// 	console.log(this)
			// 	this.lista = response.lista
			// })
			// .catch(function (error) {
			// 	console.log(error);
			// });
	}
}
</script>

<style lang="stylus" scoped>
#plantillas
	display grid
	grid-template-areas "encabezado" "container"
	grid-template-rows auto 1fr
	background-color whitesmoke

	.encabezado
		background-color #014492
		display flex
		align-items stretch

	.logo
		background-color white
		padding 1rem
		display block

		img
			display block

	.contenedor
		background-color whitesmoke
		padding 2rem 3rem
		overflow auto

		h5
			border-bottom 1px solid dimgray

		.lista
			display flex
			padding 1rem

		.item
			img
				max-width 320px

</style>
